# UnknownFormatException (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.sitemaps

## Class UnknownFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.sitemaps.UnknownFormatException

All Implemented Interfaces:
  Serializable

    public class UnknownFormatException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnknownFormatException()` Default constructor - initializes instance variable to unknown
`UnknownFormatException(String err)` Constructor receives some kind of message that is saved in an instance variable.

### Method Summary

Methods
`String` `getError()` public method, callable by exception catcher.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownFormatException

    public UnknownFormatException()

Default constructor - initializes instance variable to unknown

#### UnknownFormatException

    public UnknownFormatException(String err)

Constructor receives some kind of message that is saved in an instance variable.

### Method Detail

#### getError

    public String getError()

public method, callable by exception catcher. It returns the error message.